PropertyExpression (Groovy 5.0.0)

Package: org.codehaus.groovy.ast.expr

## [Java] Class PropertyExpression

- org.codehaus.groovy.ast.expr.PropertyExpression

-     public class PropertyExpression
      extends Expression

  Represents a property access such as the expression "foo.bar".

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Expression` | `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PropertyExpression(Expression objectExpression, String propertyName)`
    `PropertyExpression(Expression objectExpression, Expression property)`
    `PropertyExpression(Expression objectExpression, Expression property, boolean safe)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Expression` | `getObjectExpression()`
    `` | `public Expression` | `getProperty()`
    `` | `public String` | `getPropertyAsString()`
    `` | `public String` | `getText()`
    `` | `public boolean` | `isDynamic()`
    `` | `public boolean` | `isImplicitThis()`
    `` | `public boolean` | `isSafe()` Returns: is this a safe navigation, i.e. if true then if the source object is null then this navigation will return null
    `` | `public boolean` | `isSpreadSafe()`
    `` | `public boolean` | `isStatic()`
    `` | `public void` | `setImplicitThis(boolean implicitThis)`
    `` | `public void` | `setObjectExpression(Expression objectExpression)`
    `` | `public void` | `setSpreadSafe(boolean spreadSafe)`
    `` | `public void` | `setStatic(boolean isStatic)`
    `` | `public String` | `toString()`
    `` | `public Expression` | `transformExpression(ExpressionTransformer transformer)`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Constructor Detail

    - #### public PropertyExpression(Expression objectExpression, String propertyName)

    - #### public PropertyExpression(Expression objectExpression, Expression property)

    - #### public PropertyExpression(Expression objectExpression, Expression property, boolean safe)

  - ### Method Detail

    - #### public Expression getObjectExpression()

    - #### public Expression getProperty()

    - #### public String getPropertyAsString()

    - #### @Override
      public String getText()

    - #### public boolean isDynamic()

    - #### public boolean isImplicitThis()

    - #### public boolean isSafe()

      Returns:
        is this a safe navigation, i.e. if true then if the source object is null then this navigation will return null

    - #### public boolean isSpreadSafe()

    - #### public boolean isStatic()

    - #### public void setImplicitThis(boolean implicitThis)

    - #### public void setObjectExpression(Expression objectExpression)

    - #### public void setSpreadSafe(boolean spreadSafe)

    - #### public void setStatic(boolean isStatic)

    - #### @Override
      public String toString()

    - #### @Override
      public Expression transformExpression(ExpressionTransformer transformer)

    - #### @Override
      public void visit(GroovyCodeVisitor visitor)